"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TranslationFile = void 0;
class TranslationFile {
    constructor(units, sourceLang, targetLang, xmlHeader) {
        this.units = units;
        this.sourceLang = sourceLang;
        this.targetLang = targetLang;
        this.xmlHeader = xmlHeader;
    }
    mapUnitsList(unitsMapper) {
        return new TranslationFile(unitsMapper(this.units), this.sourceLang, this.targetLang, this.xmlHeader);
    }
    replaceUnit(unit, updated) {
        const index = this.units.findIndex(u => u.id === unit.id); // TODO performance?
        if (index === -1) {
            throw new Error(`Unit ${unit.id} not found`);
        }
        this.units[index] = updated;
    }
    addUnit(updated) {
        this.units.push(updated);
    }
}
exports.TranslationFile = TranslationFile;
